
# Exception::__construct 

### Usage

>  Exception::__construct([ string $message = '' ], [ int $code = '0' ], [ ?Throwable $previous = null ])

### Description

> 

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
message | No | string |
code | No | int |
previous | No | ?Throwable |

### Return
>  
### See Also

* [__clone()](__clone)
* [__toString()](__tostring)
* [__wakeup()](__wakeup)
* [getCode()](getcode)
* [getFile()](getfile)
* [getLine()](getline)
* [getMessage()](getmessage)
* [getPrevious()](getprevious)
* [getTrace()](gettrace)
* [getTraceAsString()](gettraceasstring)


